package com.hzya.frame.plugin.lets.u8cdto;

import lombok.Data;

import java.util.List;

/**
 * 库存其他出库单
 * @author zyd
 */
@Data
public class GeneralBillVO_4IDto {
    /**
     * 表头
     */
    private Parentvo parentvo;

    /**
     * 表体
     */
    private List<Childrenvo> childrenvo;
    @Data
    public static class Parentvo{
        /**
         * 自动拣货标识
         */
        private String isautopick;//自动拣货标识
        private String vbillcode;
        private String cgeneralhid;
        private String dbilldate;
        private String cwarehouseid;
        private String pk_calbody;
        private String pk_corp;
        private String cdispatcherid;
        private String coperatorid;
        private String clastmodiid;
        private String vnote;
        private String dauditdate;//签字日期
        private String ccustomerid;//客户

        private String vuserdef1;//自定义项1--->店铺
        private String vuserdef19;//自定义项19--->ofs调整单号
        private String vuserdef20;//自定义项20
    }
    @Data
    public static class Childrenvo{
        private String cinventoryid;
        private String castunitid;
        private String noutnum;
        private String nprice;
        private String vnotebody;
        private String bonroadflag;
        private String flargess;
        /**
         * 业务日期
         */
        private String dbizdate;
        private String nshouldoutnum;
        /**
         * 来源单据号
         */
        private String vsourcebillcode;
        /**
         * 来源单据行号
         */
        private String vsourcerowno;
        /**
         * 来源单据表头id
         */
        private String csourcebillhid;
        /**
         * 来源单据行id
         */
        private String csourcebillbid;
    }

}
