package com.hzya.frame.report.lets.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * O无源件订单中台明细表(OfsPassiveorderDetail)实体类
 *
 * @author makejava
 * @since 2025-03-12 09:40:26
 */
public class OfsPassiveorderDetailDto {

    @ExcelProperty(value = "O无源入库明细主键")
    private String id;

    @ExcelProperty(value = "O无源入库单号")
    private String receiptCode;

    @ExcelProperty(value = "O公司")
    private String companyCode;

    @ExcelProperty(value = "O仓库")
    private String facilityCode;

    @ExcelProperty(value = "O店铺")
    private String storeCode;

    @ExcelProperty(value = "O关联时间")
    private String relatedAt;

    @ExcelProperty(value = "业务类型")
    private String businesstype;

    @ExcelProperty(value = "业务日期(关联时间)")
    private String businessdate;

    @ExcelProperty(value = "O货品sku")
    private String skucode;

    @ExcelProperty(value = "O货品名称")
    private String skuname;

    @ExcelProperty(value = "O入库数量")
    private String quantity;

    @ExcelProperty(value = "退款完成时间(取O售后订单表头)")
    private String transactionDate;

    @ExcelProperty(value = "退款推送时间")
    private String newpushdate2;

    @ExcelProperty(value = "退款报错详情")
    private String newtransmitinfo2;

    @ExcelProperty(value = "退款推送状态")
    private String newstate2;

    @ExcelProperty(value = "入库推送时间")
    private String newpushdate;

    @ExcelProperty(value = "入库报错详情")
    private String newtransmitinfo;

    @ExcelProperty(value = "入库推送状态")
    private String newstate;

    @ExcelProperty(value = "U销售订单编码")
    private String newsystemnumber;

    @ExcelProperty(value = "U销售订单主键")
    private String newsystemprimary;

    @ExcelProperty(value = "U应收单号")
    private String newsystemnumber2;

    @ExcelProperty(value = "U应收单主键")
    private String newsystemprimary2;

    @ExcelProperty(value = "O计算应收")
    private String def1;

    @ExcelProperty(value = "O计算公式")
    private String def2;

    @ExcelProperty(value = "O平台优惠")
    private String def3;

    @ExcelProperty(value = "O支付优惠")
    private String def4;

    @ExcelProperty(value = "O达人优惠")
    private String def5;

    @ExcelProperty(value = "O商家优惠")
    private String def6;

    public String getReceiptCode() {
        return receiptCode;
    }

    public void setReceiptCode(String receiptCode) {
        this.receiptCode = receiptCode;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getFacilityCode() {
        return facilityCode;
    }

    public void setFacilityCode(String facilityCode) {
        this.facilityCode = facilityCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getRelatedAt() {
        return relatedAt;
    }

    public void setRelatedAt(String relatedAt) {
        this.relatedAt = relatedAt;
    }

    public String getBusinesstype() {
        return businesstype;
    }

    public void setBusinesstype(String businesstype) {
        this.businesstype = businesstype;
    }

    public String getBusinessdate() {
        return businessdate;
    }

    public void setBusinessdate(String businessdate) {
        this.businessdate = businessdate;
    }

    public String getSkucode() {
        return skucode;
    }

    public void setSkucode(String skucode) {
        this.skucode = skucode;
    }

    public String getSkuname() {
        return skuname;
    }

    public void setSkuname(String skuname) {
        this.skuname = skuname;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getTransactionDate() {
        return transactionDate;
    }

    public void setTransactionDate(String transactionDate) {
        this.transactionDate = transactionDate;
    }

    public String getNewpushdate2() {
        return newpushdate2;
    }

    public void setNewpushdate2(String newpushdate2) {
        this.newpushdate2 = newpushdate2;
    }

    public String getNewtransmitinfo2() {
        return newtransmitinfo2;
    }

    public void setNewtransmitinfo2(String newtransmitinfo2) {
        this.newtransmitinfo2 = newtransmitinfo2;
    }

    public String getNewstate2() {
        return newstate2;
    }

    public void setNewstate2(String newstate2) {
        this.newstate2 = newstate2;
    }

    public String getNewpushdate() {
        return newpushdate;
    }

    public void setNewpushdate(String newpushdate) {
        this.newpushdate = newpushdate;
    }

    public String getNewtransmitinfo() {
        return newtransmitinfo;
    }

    public void setNewtransmitinfo(String newtransmitinfo) {
        this.newtransmitinfo = newtransmitinfo;
    }

    public String getNewstate() {
        return newstate;
    }

    public void setNewstate(String newstate) {
        this.newstate = newstate;
    }

    public String getNewsystemnumber() {
        return newsystemnumber;
    }

    public void setNewsystemnumber(String newsystemnumber) {
        this.newsystemnumber = newsystemnumber;
    }

    public String getNewsystemprimary() {
        return newsystemprimary;
    }

    public void setNewsystemprimary(String newsystemprimary) {
        this.newsystemprimary = newsystemprimary;
    }

    public String getNewsystemnumber2() {
        return newsystemnumber2;
    }

    public void setNewsystemnumber2(String newsystemnumber2) {
        this.newsystemnumber2 = newsystemnumber2;
    }

    public String getNewsystemprimary2() {
        return newsystemprimary2;
    }

    public void setNewsystemprimary2(String newsystemprimary2) {
        this.newsystemprimary2 = newsystemprimary2;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getDef6() {
        return def6;
    }

    public void setDef6(String def6) {
        this.def6 = def6;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}

