package com.hzya.frame.plugin.lets.dingtalk.entity;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * (DingU8cBill)实体类
 *
 * @author makejava
 * @since 2024-10-28 15:45:32
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DingU8cBillEntity extends BaseEntity {
 
  /**  公司主键 */
   private String u8c_pk_corp;
  /**  公司编码 */
   private String u8c_code_corp;
   private String u8c_name_corp;
  /**  u8c单据类型 */
   private String u8c_bill_type;
  /**  u8c单据号 */
   private String u8c_bill_code;
  /**  u8c单据主键 */
   private String u8c_bill_id;
  /**  是否推送成功 */
   private String push_status;
  /**  推送日志 */
   private String push_info;
  /**  钉钉审批实例id */
   private String ding_talk_process_id;
   /** 钉钉返回结果 */
   private String ding_res;
   /** 是否审核 Y 、 N */
   private String approve;
   /** D钉钉发起，U u8c发起 */
   private String initiate="U";

    /** 发起次数 */
    private Long push_count;
    /** 历史实例id */
    private String push_process_ids;
    /** 开始时间 */
    private String start_time;
    /** 结束时间 */
    private String end_time;

    public DingU8cBillEntity(String u8c_pk_corp, String u8c_code_corp, String u8c_bill_type, String u8c_bill_code, String u8c_bill_id, String push_status, String push_info, String ding_talk_process_id, String ding_res) {
        this.u8c_pk_corp = u8c_pk_corp;
        this.u8c_code_corp = u8c_code_corp;
        this.u8c_bill_type = u8c_bill_type;
        this.u8c_bill_code = u8c_bill_code;
        this.u8c_bill_id = u8c_bill_id;
        this.push_status = push_status;
        this.push_info = push_info;
        this.ding_talk_process_id = ding_talk_process_id;
        this.ding_res = ding_res;
    }
}

