package com.hzya.frame.plugin.lets.u8cdto;

import lombok.Data;

import java.util.List;

/**
 * 单据主表-应收应付
 */
@Data
public class ArapDjzbVO {
    private Parentt parentvo;
    private List<Childrenn> children;

    @Data
    public static class Parentt {
        private String bfyhzh;//本方银行帐号（付结单:付款银行账号;收结单:收款银行账号）
        private String bzbm;//币种
        private String deinvdate;//开票日期
        private String deptid;//部门
        private String dfyhzh;//对方银行账号（付结单:收款银行账号;收结单:付款银行账号）
        private String djbh;//单据号
        private String djlxbm;//单据类型编码（交易类型编码使用此字段，如D0、D1、D2）
        private String djrq;//单据日期
        private String dwbm;//公司
        private String effectdate;//起算日期
        private String feinvstatus;//开票状态
        private String finvoicetype;//发票类型（0 增值税专用发票 1 增值税普通发票 2 营业税发票 3 收据 4 其他发票 5 增值税电子普通发票）
        private String hbbm;//客商
        private String isreded;//红冲
        private String isselectedpay;//选择付款(1选择付款 0非选择付款)
        private String kmbm;//科目编码（v5.1开始传科目编码，之前只能传主键）
        private String lrr;//录入人
        private String lybz;//来源标志（0 应收系统 1应付系统 3 销售系统 4 采购系统 5 资金结算 6 网上银行 8 票据管理 9 协同单据 10 信贷系统 11 汇兑损益系统 12 项目管理 13 全面预算 14 签字确认 15 发运管理 16 内部交易 17 外部交换平台 18 资金计息 19 库存管理）
        private String pj_jsfs;//结算方式
        private String pj_num;//票据号
        private String pk_glorgbook;//账簿编码（v5.1开始支持）
        private String prepay;//预收付款标志
        private String qcbz;//期初
        private String scomment;//备注
        private String shr;//审核人（审批时必填）
        private String shrq;//审核日期（审批时必填）
        private String szxmid;//收支项目
        private String tradertype;//交易对象类型（0 客商 1 部门 2 人员 3 散户）
        private String veinvcode;//发票代码
        private String veinvnumber;//发票号码
        private String vouchid;//表头主键(修改必填)
        private String wldx;//往来对象标识(0 客户 1供应商 2部门 3业务员 )
        private String xslxbm;//业务流程
        private String ywybm;//业务员编码
        private String zgyf;//暂估应付标志
        private String zyx1;//自定义项1（档案类型的传pk）
        private String zyx10;//自定义项10（档案类型的传pk）
        private String zyx11;//自定义11（档案类型的传pk）
        private String zyx12;//自定义12（档案类型的传pk）
        private String zyx13;//自定义13（档案类型的传pk）
        private String zyx14;//自定义14（档案类型的传pk）
        private String zyx15;//自定义15（档案类型的传pk）
        private String zyx16;//自定义16（档案类型的传pk）
        private String zyx17;//自定义17（档案类型的传pk）
        private String zyx18;//自定义18（档案类型的传pk）
        private String zyx19;//自定义19（档案类型的传pk）
        private String zyx2;//自定义项2（档案类型的传pk）
        private String zyx20;//自定义20（档案类型的传pk）
        private String zyx21;//自定义项21（档案类型的传pk）
        private String zyx22;//自定义项22（档案类型的传pk）
        private String zyx23;//自定义项23（档案类型的传pk）
        private String zyx24;//自定义项24（档案类型的传pk）
        private String zyx25;//自定义项25（档案类型的传pk）
        private String zyx26;//自定义项26（档案类型的传pk）
        private String zyx27;//自定义项27（档案类型的传pk）
        private String zyx28;//自定义项28（档案类型的传pk）
        private String zyx29;//自定义项29（档案类型的传pk）
        private String zyx3;//自定义项3（档案类型的传pk）
        private String zyx30;//自定义项30（档案类型的传pk）
        private String zyx4;//自定义项4（档案类型的传pk）
        private String zyx5;//自定义项5（档案类型的传pk）
        private String zyx6;//自定义项6（档案类型的传pk）
        private String zyx7;//自定义项7（档案类型的传pk）
        private String zyx8;//自定义项8（档案类型的传pk）
        private String zyx9;//自定义项9（档案类型的传pk）

        private String def1;
        private String def2;
        private String def3;
        private String def16;
    }

    @Data
    public static class Childrenn {
        private String bankrollprojet;//计划项目编码（5.1开始支持）
        private String bfyhzh;//本方银行帐号
        private String cashitem;//现金流量项目
        private String cinventoryid;//存货
        private String cksqsh;//源头单据表体主键
        private String ddh;//订单号
        private String ddhh;//上层来源单据表体主键
        private String ddlx;//上层来源单据表头主键
        private String deptid;//部门
        private String dfbbje;//贷方本币金额
        private String dfbbsj;//贷方本币税金
        private String dfbbwsje;//贷方本币无税金额
        private String dfshl;//贷方数量
        private String dfybje;//贷方原币金额(应付、收款时必填）
        private String dfybsj;//贷方原币税金
        private String dfybwsje;//贷方原币无税金额
        private String dfyhzh;//对方银行帐号
        private String dj;//单价
        private String fb_oid;//表体主键(修改必填)
        private String fph;//发票号
        private String hbbm;//合作伙伴（客商编码）
        private String hsdj;//含税单价
        private String item_bill_pk;//事项审批单PK
        private String jfbbje;//借方本币金额
        private String jfbbsj;//借方本币税金
        private String jfshl;//借方数量
        private String jfybje;//借方原币金额（应收、付款时必填，注意传参时加双引号）
        private String jfybsj;//借方原币税金
        private String jfybwsje;//借方原币无税金额
        private String jobid;//专项
        private String jsfsbm;//上层来源单据类型（应付单类型：D1，应收单类型：D0）
        private String kmbm;//科目编码（v5.1开始传科目编码，之前只能传主键）
        private String kslb;//扣税类别
        private String notetype;//票据类型（5.0sp添加）
        private String occupationmny;//预占用核销原币余额
        private String ordercusmandoc;//订单客商
        private String ph;//源头单据类型
        private String sfkxyh;//收付款协议
        private String sl;//税率
        private String szxmid;//收支项目
        private String wbfbbje;//借方本币无税金额
        private String wldx;//往来对象标识(0 客户 1供应商 2部门 3业务员 )
        private String xyzh;//源头单据表头主键
        private String ywybm;//业务员编码（5.0及以上支持）
        private String zy;//摘要
        private String zyx1;//自定义项1（档案类型的传pk）
        private String zyx10;//自定义项10（档案类型的传pk）
        private String zyx11;//自定义项11（档案类型的传pk）
        private String zyx12;//自定义项12（档案类型的传pk）
        private String zyx13;//自定义项13（档案类型的传pk）
        private String zyx14;//自定义项14（档案类型的传pk）
        private String zyx15;//自定义项15（档案类型的传pk）
        private String zyx16;//自定义项16（档案类型的传pk）
        private String zyx17;//自定义项17（档案类型的传pk）
        private String zyx18;//自定义项18（档案类型的传pk）
        private String zyx19;//自定义项19（档案类型的传pk）
        private String zyx2;//自定义项2（档案类型的传pk）
        private String zyx20;//自定义项20（档案类型的传pk）
        private String zyx21;//自定义项21（档案类型的传pk）
        private String zyx22;//自定义项22（档案类型的传pk）
        private String zyx23;//自定义项23（档案类型的传pk）
        private String zyx24;//自定义项24（档案类型的传pk）
        private String zyx25;//自定义项25（档案类型的传pk）
        private String zyx26;//自定义项26（档案类型的传pk）
        private String zyx27;//自定义项27（档案类型的传pk）
        private String zyx28;//自定义项28（档案类型的传pk）
        private String zyx29;//自定义项29（档案类型的传pk）
        private String zyx3;//自定义项3（档案类型的传pk）
        private String zyx30;//自定义项30（档案类型的传pk）
        private String zyx4;//自定义项4（档案类型的传pk）
        private String zyx5;//自定义项5（档案类型的传pk）
        private String zyx6;//自定义项6（档案类型的传pk）
        private String zyx7;//自定义项7（档案类型的传pk）
        private String zyx8;//自定义项8（档案类型的传pk）
        private String zyx9;//自定义项9（档案类型的传pk）
    }

}
