package com.hzya.frame.report.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 售后订单表_仅退款_子表(OnlyAfterSalesB)实体类
 *
 * @author makejava
 * @since 2024-09-23 10:43:46
 */
@Data
public class OnlyAfterSalesBEntity extends BaseEntity {

    private String hid;
    private String ofsid;
    /**
     * 根据明细主键批量查询
     */
    private String ofsids;
    /**
     * 退货单ID
     */
    private Long returnorderid;
    /**
     * 退货单号
     */
    private String returnordercode;
    /**
     * SKU编码
     */
    private String skucode;
    /**
     * SKU名称
     */
    private String skuname;
    /**
     * 货主编码
     */
    private String companycode;
    /**
     * 组织
     */
    private String clientcode;
    /**
     * 店铺
     */
    private String storecode;
    /**
     * 退货类型
     */
    private String returntype;
    /**
     * 是否退款
     */
    private String refundind;
    /**
     * 请求数量
     */
    private String requestqty;
    /**
     * 实际退货数量
     */
    private String fulfillqty;
    /**
     * 货品单位
     */
    private String quantityum;
    /**
     * 商品零售价
     */
    private String msrprice;
    /**
     * 总重量
     */
    private String totalweight;
    /**
     * 总体积
     */
    private String totalvolume;
    /**
     * 重量单位
     */
    private String weightum;
    /**
     * 体积单位
     */
    private String volumeum;
    /**
     * 退货金额
     */
    private String totalamount;
    /**
     * 平台订单行号
     */
    private String sourcelinenum;
    /**
     * 原订单号
     */
    private String sourceordercode;
    /**
     * 原支付单价
     */
    private String sourcediscountprice;
    /**
     * 原支付金额
     */
    private String sourcepayamount;
    /**
     * 原购买数量
     */
    private String sourcerequestqty;
    /**
     * bom类型
     */
    private String bomtype;
    /**
     * 拆分bom前的明细id
     */
    private Long originaldetailid;
    /**
     * 处理原因
     */
    private String reasoncode;
    /**
     * 处理备注
     */
    private String reasondesc;


    //平台优惠，表头的
    private String platformDiscounts;
    //商家优惠，表头的
    private String merchantDiscounts;
    //达人优惠，表头的
    private String expertDiscounts;
    //支付优惠，表头的
    private String payDiscounts;

    //业务类型
    private String businessType;

    //业务日期-退货完成时间或交易成功时间
    private String transactionDate;

    //推送时间
    private String newPushDate;

    //报错详情
    private String newTransmitInfo;

    //推送状态
    private String newState;

    //下游单号
    private String newsystemnumber;

    //下游主键
    private String newsystemprimary;

    private String def1;

    private String def2;

    private String def3;

    private String def4;

    private String def5;

    private String def6;

    private String transactionDateStart;

    private String transactionDateEnd;
}

