package com.hzya.frame.sysnew.integtationTaskLivingDetails.dao;

import com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsVo;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;

import java.util.List;

/**
 * 集成任务-实例详情(integration_task_living_details: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-15 14:06:30
 */
public interface IIntegrationTaskLivingDetailsDao extends IBaseDao<IntegrationTaskLivingDetailsEntity, String> {
/**
 *
 * @content 保存成功日志
 * @author laborer
 * @date 2024/5/15 0015 15:34
 *
 */

    IntegrationTaskLivingDetailsEntity saveSuccessLog(IntegrationTaskLivingDetailsEntity entity);
/**
 *
 * @content 通过主键逻辑删除数据
 * @author laborer
 * @date 2024/5/15 0015 15:47
 *
 * @return
 */

    int deleteById(String id);

    List<IntegrationTaskLivingDetailsVo> queryPageLeftTask(IntegrationTaskLivingDetailsVo entity);

    @Results(id = "UserResult", value = {
            @Result (property="id" ,column="id" ),
            @Result (property="taskLinvingId" ,column="task_linving_id" ),
            @Result (property="result" ,column="result" ),
            @Result (property="queryCondition" ,column="query_condition" ),
            @Result (property="rootAppPk" ,column="root_app_pk" ),
            @Result (property="rootAppBill" ,column="root_app_bill" ),
            @Result (property="rootAppNewData" ,column="root_app_new_data" ),
            @Result (property="newTransmitInfo" ,column="new_transmit_info" ),
            @Result (property="newPushDate" ,column="new_push_date" ),
            @Result (property="repairPust" ,column="repair_pust" ),
            @Result (property="create_time" ,column="create_time" ),
            @Result (property="create_user_id" ,column="create_user_id" ),
            @Result (property="modify_time" ,column="modify_time" ),
            @Result (property="modify_user_id" ,column="modify_user_id" ),
            @Result (property="sts" ,column="sts" ),
            @Result (property="sorts" ,column="sorts" ),
            @Result (property="senceId" ,column="sence_id" ),
            @Result (property="newState" ,column="new_state" ),
            @Result (property="businessDate" ,column="business_date" ),
            @Result (property="pluginId" ,column="plugin_id" ),
            @Result (property="processingTime" ,column="processing_time" ),
            @Result (property="processingRemarks" ,column="processing_remarks" ),
            @Result (property="processorName" ,column="processor_name" ),
            @Result (property="processor" ,column="processor" ),
            @Result (property="newSystemNumber" ,column="new_system_number" ),
            @Result (property="newSystemPrimary" ,column="new_system_primary" ),
            @Result (property="remark" ,column="remark" ),
            @Result (property="def1" ,column="def1" ),
            @Result (property="def2" ,column="def2" ),
            @Result (property="def3" ,column="def3" ),
            @Result (property="def4" ,column="def4" ),
            @Result (property="def5" ,column="def5" )
    })
    Integer entity_updatebyid(IntegrationTaskLivingDetailsEntity integrationTaskLivingDetailsEntity);

    IntegrationTaskLivingDetailsEntity queryEntity(IntegrationTaskLivingDetailsEntity entity);

    Integer deleteEntity(IntegrationTaskLivingDetailsEntity deleteEntity);

    IntegrationTaskLivingDetailsEntity queryEntityById(IntegrationTaskLivingDetailsEntity entity);
}

